Page MenuHomePhabricator

Prepare puppet infrastructure for Debian buster
Closed, ResolvedPublic

Description

Our Puppet version is 4.8.2-5 across trusty, jessie and stretch. (4.8.2-5 is what is actually in stretch)

It was tested to build 4.8.2-5 for buster, that turned out to be a major rabbit role; Puppet 4 is incompatible with Ruby 2.5 (which is in buster) and building a separate ruby2.3 on buster fails as 2.3 requires OpenSSL 1.0.2 which is no longer in buster.

On buster we'll use Puppet 5 on the client side. Eventually the rest of the fleet and the puppet masters will also be migrated to 5.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 11 2019, 3:07 PM
herron triaged this task as Normal priority.Jan 11 2019, 7:46 PM
herron added projects: Puppet, Packaging.
herron added a subscriber: herron.
jbond claimed this task.Jan 18 2019, 1:10 PM

Mentioned in SAL (#wikimedia-operations) [2019-02-05T11:35:26Z] <moritzm> added firmware-enriched buster netboot image (T213546)

Change 489638 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Install facter 2.4.6 on buster in early d-i stage

https://gerrit.wikimedia.org/r/489638

Change 489638 merged by Muehlenhoff:
[operations/puppet@production] Install facter 2.4.6 on buster in early d-i stage

https://gerrit.wikimedia.org/r/489638

Change 492346 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Explicitly install ruby-safe-yaml to fix Puppet Icinga check

https://gerrit.wikimedia.org/r/492346

Change 492346 merged by Muehlenhoff:
[operations/puppet@production] Explicitly install ruby-safe-yaml to fix Puppet Icinga check

https://gerrit.wikimedia.org/r/492346

Change 494236 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Change the default arguments for buster

https://gerrit.wikimedia.org/r/494236

Change 494469 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] install_server: Reimage db1114 to buster

https://gerrit.wikimedia.org/r/494469

Change 494469 merged by Jcrespo:
[operations/puppet@production] install_server: Reimage db1114 to buster

https://gerrit.wikimedia.org/r/494469

Change 494236 merged by Jcrespo:
[operations/puppet@production] mysqld-prometheus-exporter: Change the default arguments for buster

https://gerrit.wikimedia.org/r/494236

Change 494759 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mysqld-prometheus-exporter: Fix typo on configuration

https://gerrit.wikimedia.org/r/494759

Change 494759 merged by Jcrespo:
[operations/puppet@production] mysqld-prometheus-exporter: Fix typo on configuration

https://gerrit.wikimedia.org/r/494759

Andrew added a subscriber: Andrew.Mar 6 2019, 6:08 PM

If you would like to test, we now have a VPS base image for buster in wmcs. You can use it in the 'testlabs' project, or I can add it to a project of your choice.

Oh, I think I used the wrong task for my changes. Sorry about that, I will rename the task to prevent further confusion.

jcrespo renamed this task from Prepare puppet for Debian buster to Prepare puppet infrastructure for Debian buster.Mar 12 2019, 3:59 PM

Change 497286 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] Add empty file for buster

https://gerrit.wikimedia.org/r/497286

Change 497286 merged by Andrew Bogott:
[operations/puppet@production] Create an empty openstack::clientpackages::**::buster manifest

https://gerrit.wikimedia.org/r/497286

I think we can close this one?

Krenair added a comment.EditedApr 11 2019, 3:57 PM

The only strange things I see in puppet runs on a couple of buster instances I deal with are this:

Notice: /Stage[main]/Nrpe/Package[nagios-plugins]/ensure: created
Notice: /Stage[main]/Nrpe/Package[nagios-plugins-basic]/ensure: created
Notice: /Stage[main]/Nrpe/Package[nagios-plugins-standard]/ensure: created

These packages are in stretch but don't appear in buster?

The only strange things I see in puppet runs on a couple of buster instances I deal with are this:

This is fixed by https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/494681/, but it's currently waiting on the remaining trusty servers in production to go away.

Ah, and that's against the parent task which makes sense. +1 for closing.

MoritzMuehlenhoff closed this task as Resolved.Jul 4 2019, 12:09 PM

We have 22 servers running Buster at this point and Puppet is working well for us.